> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/formerly-vinter-indices/api/single-assets-reference-rates/single-assets-real-time.md).

# Single Assets Real Time

The endpoint requires an API key and it requires that the symbol of the index is specified using the symbol parameter. If the limit parameter is not specified the latest value is returned. To ensure chronological ordering of the index values you should sort the values using the timestamp field. The endpoint only returns a maximum of 2000 records.

**Example URL**

{% embed url="<https://www.vinterapi.com/api/v3/single_assets_real_time/?symbol=btc-usd-p-r>" %}

## Response Fields

| Field       | Type    | Description                                                                                     |
| ----------- | ------- | ----------------------------------------------------------------------------------------------- |
| id          | integer | The record's id in the source table. A id that equals 0 means that it is not an official value. |
| created\_at | string  | ISO formatted datetime representing the calculation time                                        |
| symbol      | string  | The index symbol.                                                                               |
| value       | number  | The index value                                                                                 |
| timestamp   | integer | Unix timestamp in milliseconds representing the calculation time.                               |

<mark style="color:blue;">`GET`</mark> `https://www.vinterapi.com/api/v3/single_assets_real_time/`

This is a sample response for asset btc-usd-p-r

#### Query Parameters

| Name                                     | Type       | Description                                                                                                                                                                                                                                             |
| ---------------------------------------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| symbol<mark style="color:red;">\*</mark> | String     | The ticker of the requested index                                                                                                                                                                                                                       |
| limit                                    | Integer    | The number of records to obtain. If the parameter is not specified the last record will be returned.                                                                                                                                                    |
| start\_time                              | datestring | <p>Received range includes the start time date. The start\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore:</p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p> |
| end\_time                                | datestring | <p>Received range excludes the end\_time . The end\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore:</p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p>        |

#### Headers

| Name                                            | Type   | Description            |
| ----------------------------------------------- | ------ | ---------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | your\_secret\_api\_key |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "result": "success",
    "message": "Success",
    "data": [
        {
            "id": 559465835,
            "created_at": "2022-11-18T11:18:44.602Z",
            "symbol": "btc-usd-p-r",
            "value": 16748.72,
            "timestamp": 1668770324600
        }
    ],
    "params": {
        "symbol": "btc-usd-p-r"
    }
}
```

{% endtab %}
{% endtabs %}

**Note:** It is important to note that the data available on the single\_assets\_real\_time endpoint is trimmed on a daily basis at 00:50 UTC. This means that the endpoint provides real-time data for a period of 24 hours prior to the current time , and at 00:50 UTC each day, the data is trimmed and only the data from the preceding 24 hours is retained.

Please read the following for detailed information on parameters.

{% content-ref url="/pages/NKJxJZXheBpBlL7dslBz" %}
[API Requests Parameters](/formerly-vinter-indices/api/api-requests-parameters.md)
{% endcontent-ref %}

### [Try the API](https://vinterapi.com/apidocs)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kaiko.com/formerly-vinter-indices/api/single-assets-reference-rates/single-assets-real-time.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
